Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

MIT Reversal


Request a merchant-initiated reversal for a PIN debit purchase or credit when you do not receive a response message for your original transaction request. Send the reversal request to the voids endpoint.

Endpoints

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

The {id} is the transaction ID returned in the purchase response.

Example

{  "clientReferenceInformation": {    "code": "ABC1234",    "transactionId": "2759375893",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "202.00",      "currency": "USD"    }  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/6869126948216005803117"    }  },  "clientReferenceInformation": {    "code": "ABC1234",    "transactionId": "2759375893"  },  "id": "6869126948216005803117",  "orderInformation": {    "amountDetails": {      "currency": "usd"    }  },  "processorInformation": {    "retrievalReferenceNumber": "123456827618",    "responseCode": "00"  },  "reconciliationId": "6869126890096005703117",  "status": "REVERSED",  "submitTimeUtc": "2023-06-16T10:51:35Z",  "voidAmountDetails": {    "currency": "usd",    "voidAmount": "202.00"  }}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.